class Positions {
    constructor() {
        this.houseIdentifier = [];
        this.offsetX = [];
        this.offsetY = [];
        this.offsetZ = [];
        this.sizeX = [];
        this.sizeY = [];
        this.sizeZ = [];

        this.addPosition("bamboo_house", -16, -4, -2, 33, 28, 33);
        this.addPosition("beach_house", -13, -4, -2, 25, 15, 25);
        this.addPosition("bee_house", -17, -4, -2, 33, 28, 33);
        this.addPosition("camper_van", -12, -4, -2, 25, 15, 25);
        this.addPosition("castle", -16, -4, -2, 33, 28, 33);
        this.addPosition("creeper_house", -20, -4, -2, 41, 38, 41);
        this.addPosition("crystal_house", -12, -4, -2, 25, 16, 25);
        this.addPosition("diamond_house", -16, -4, -2, 33, 37, 33);
        this.addPosition("dirt_house", -9, -4, -2, 25, 15, 25);
        this.addPosition("farm", -28, -5, -2, 57, 31, 57);
        this.addPosition("fishers_hut", -15, -4, -2, 25, 15, 25);
        this.addPosition("igloo", -12, -4, -2, 25, 15, 25);
        this.addPosition("miners_hut", -16, -9, -2, 33, 28, 33);
        this.addPosition("modern_house", -16, -4, -2, 33, 28, 33);
        this.addPosition("mushroom_house", -20, -4, -2, 41, 38, 41);
        this.addPosition("ore_house", -12, -4, -2, 25, 15, 25);
        this.addPosition("pyramid_house", -16, -9, -2, 33, 28, 33);
        this.addPosition("rainbow_house", -18, -4, -2, 33, 28, 33);
        this.addPosition("rocket_house", -20, -4, -2, 41, 45, 41);
        this.addPosition("slime_house", -16, -4, -2, 33, 28, 33);
        this.addPosition("snowman_house", -20, -4, -2, 41, 38, 41);
        this.addPosition("tent", -11, -4, -2, 25, 15, 25);
        this.addPosition("treehouse", -18, -4, -2, 41, 61, 41);
        this.addPosition("villager_house", -11, -4, -2, 25, 15, 25);
        this.addPosition("witch_house", -20, -4, -2, 41, 38, 41);
        this.addPosition("wizard_tower", -16, -4, -2, 33, 40, 33);
    }

    addPosition(houseIdentifier, offsetX, offsetY, offsetZ, sizeX, sizeY, sizeZ) {
        this.houseIdentifier.push(houseIdentifier);
        this.offsetX.push(offsetX);
        this.offsetY.push(offsetY);
        this.offsetZ.push(offsetZ);
        this.sizeX.push(sizeX);
        this.sizeY.push(sizeY);
        this.sizeZ.push(sizeZ);
    }
}

export const positions = new Positions();